> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a cancellation fee policy

> ## Update a cancellation fee policy ##

<p>
Update a cancellation fee policy. All fields are optional; you only need to pass in the fields that you want
to change.
</p>

#### Response ####
201 response code on success.



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json put /{supplierapi}/cancellationpolicy/{cancellationFeePolicyId}
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/cancellationpolicy/{cancellationFeePolicyId}:
    put:
      tags:
        - Version 1
      summary: Update a cancellation fee policy
      description: >-
        ## Update a cancellation fee policy ##


        <p>

        Update a cancellation fee policy. All fields are optional; you only need
        to pass in the fields that you want

        to change.

        </p>


        #### Response ####

        201 response code on success.
      operationId: put_api_product_cancellationpolicy_savepolicy
      parameters:
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
        - name: cancellationFeePolicyId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        description: Fields to update a cancellation fee policy
        required: false
        content:
          application/json:
            schema:
              required:
                - policyName
                - usePercentMode
              properties:
                policyName:
                  description: Name of the cancellation fee policy.
                  type: string
                policyDescription:
                  description: Optional description of the policy
                  type: string
                usePercentMode:
                  description: Whether the policy uses percent mode
                  type: boolean
                isDefault:
                  description: >-
                    Whether this policy should become the default cancellation
                    fee policy for this supplier.
                  type: boolean
                cancellationFeeRules:
                  description: Array of CancellationFeeRule objects.
                  type: array
                  items:
                    required:
                      - daysBeforeTravelDate
                      - feeAmount
                    properties:
                      daysBeforeTravelDate:
                        description: >-
                          Duration before travel date that this rule will be in
                          effect
                        type: integer
                      feeAmount:
                        description: >-
                          Amount of cancellation fee when rule applies (a
                          percentage value when policy is in percent mode, or a
                          monetary amount when in dollar mode)
                        type: number
                        format: float
                    type: object
              type: object
      responses:
        '204':
          description: Policy updated successfully
        '400':
          description: Bad request
        '403':
          description: Unauthorized
        '404':
          description: Cancellation fee policy not found
        '500':
          description: Internal server error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.